#
# spec file for package python-async
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-async
Version:        0.6.2
Release:        lp151.2.2
Url:            https://github.com/gitpython-developers/async
Summary:        Async Framework
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/a/async/async-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Async is a framework to process interdependent tasks in a pool of workers.

The documentation is available here: http://packages.python.org/async

%prep
%setup -q -n async-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py -q test

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE
%{python_sitelib}/*

%changelog
* Sat Apr 25 2015 benoit.monin@gmx.fr
- update to 0.6.2:
  * Added python 3.X compatibility. As it doesn't work
    deterministically in this version, it shouldn't be used
    in production !
- remove zlib-devel from BuildRequires, unneeded
- add python-nose and python-setuptools to BuildRequires
- switch the package to noarch, since it is pure python now
- remove useless CFLAGS from build
- run the tests during the build
- add LICENSE to documentation
- remove README, deleted from archive
* Wed Mar 14 2012 saschpe@suse.de
- Use upstream tarball
- Package AUTHORS and README
- Add -fno-strict-aliasing CFLAG
- Simplified macro usage
* Wed Jul  6 2011 alexandre@exatati.com.br
- Initial package (0.6.1) for openSUSE.
